Bug 152039 - Workspace switcher does not work properly on second monitor
Workspace switcher does not work properly on second monitor
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2005-03-24 11:16 EST by Sean Carolan
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:44:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sean Carolan 2005-03-24 11:16:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
I have a laptop with a dual monitor setup.  I am using an ATI radeon video card.  My xorg configuration is set up to create two separate desktops instead of one wide desktop.  

The workspace switcher works fine on the default desktop, however when I try to use the keyboard shortcuts to change workspaces on the external monitor it moves one desktop to the right, and then stops working.  I can, however select the workspace manually by clicking on it with the mouse.

The error message says:

Window manager warning:  Attempt to perform window operation 24 on window none when operation 24 on none already in effect.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Set up gnome and xorg for dual monitor, separate desktops
3.  CTRL-ALT-RIGHTARROW again (at this point nothing happens, and you can't go back to the first workspace either)  

Actual Results:  Workspace switcher stops working, except if you click it with your mouse.

Expected Results:  Should be able to move between workspaces freely.

Additional info:
Comment 1 Matthew Miller 2006-07-10 18:55:04 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Ray Strode [halfline] 2007-08-14 11:44:58 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.